## yelp-error

yelp-error

## Synopsis

    #define             YELP_ERROR
    enum                YelpError;
    GError *            yelp_error_copy                     (GError *error);
    const gchar *       yelp_error_get_title                (GError *error);

## Description

## Details

### YELP_ERROR

    #define YELP_ERROR g_quark_from_static_string ("yelp-error")

### enum YelpError

    typedef enum {
        YELP_ERROR_NOT_FOUND,
        YELP_ERROR_CANT_READ,
        YELP_ERROR_PROCESSING,
        YELP_ERROR_UNKNOWN
    } YelpError;

`YELP_ERROR_NOT_FOUND` |
`YELP_ERROR_CANT_READ` |
`YELP_ERROR_PROCESSING` |
`YELP_ERROR_UNKNOWN` |

### yelp_error_copy ()

    GError *            yelp_error_copy                     (GError *error);

### yelp_error_get_title ()

    const gchar *       yelp_error_get_title                (GError *error);